
Redmine - Defect #8986

Ruby interpreter segfaults in the mornings after the first operation in Redmine.

2011-08-05 08:39 - Geoffrey Van Wyk

Status: Closed Start date: 2011-08-05

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

This is the dialog which pops up:

This is the error message that appears in the console:

This problem has been experienced by others as documented on the Redmine forum.

History

#1 - 2011-08-05 08:41 - Geoffrey Van Wyk

This is the dialog which pops up:

 Ruby_Interpreter_stopped_working_dialog.jpg 

This is the error message that appears in the console:

 Ruby_Interpreter_segmentation_fault.jpg 

#2 - 2011-08-08 16:35 - Patrick Figel

This is not caused by Redmine. It seems to be a problem with the mysql gem. Please check this link for possible solutions.

#3 - 2011-09-23 11:00 - Geoffrey Van Wyk

- Status changed from New to Resolved

- % Done changed from 0 to 100

To solve this problem, based on Patrick Figel's link (which, unfortuantely, is now broken), I pasted the libmySQL.dll file into my C:\Ruby187\bin folder.

The libmySQL.dll file is available from many places including this one

#4 - 2011-09-23 11:06 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for your feedback.

Patrick's link is only broken temporarily for a Ruby ITS maintenance operation.

Files
http://www.redmine.org/boards/2/topics/5325
http://redmine.ruby-lang.org/issues/2753
http://www.dll-files.com/dllindex/dll-files.shtml?libmysql
http://www.ruby-lang.org/en/news/2011/02/22/planned-maintenance-of-redmine-ruby-lang-org
http://www.tcpdf.org

